VDPAU

Data Fields
VdpProcamp Struct Reference
Core API » VdpCSCMatrix; CSC Matrix Manipulation

Procamp operation parameterization data. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | struct_version
float | brightness
float | contrast
float | saturation
float | hue

## Detailed Description

Procamp operation parameterization data.

When performing a color space conversion operation, various adjustments can be performed at the same time, such as brightness and contrast. This structure defines the level of adjustments to make.

## Field Documentation

## ◆ brightness

float VdpProcamp::brightness

Brightness adjustment amount. A value clamped between -1.0 and 1.0. 0.0 represents no modification.

## ◆ contrast

float VdpProcamp::contrast

Contrast adjustment amount. A value clamped between 0.0 and 10.0. 1.0 represents no modification.

## ◆ hue

float VdpProcamp::hue

Hue adjustment amount. A value clamped between -PI and PI. 0.0 represents no modification.

## ◆ saturation

float VdpProcamp::saturation

Saturation adjustment amount. A value clamped between 0.0 and 10.0. 1.0 represents no modification.

## ◆ struct_version

uint32_t VdpProcamp::struct_version

This field must be filled with VDP_PROCAMP_VERSION

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h